Subject: Re: bug#68799: 30.0.50; emacs --fg-daemon fails silently if server-start fails

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Feb 2024 19:49:48 +0200

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 13 Feb 2024 12:37:30 -0500
> 
> >> So this check really wants to be something more like:
> >> || ( IS_DAEMON && [something to check if Emacs is starting up])
> >> || (!IS_DAEMON && FRAME_INITIAL_P (sf))
> >> 
> >> Not sure what [something to check if Emacs is starting up] should be
> >> though.
> >
> > after-init-time, I guess.  But note that this still leaves a window
> > between where that is set non-nil and starting the server.
> 
> Oh, actually there is a DAEMON_RUNNING define which is exactly what we
> want here.  DAEMON_RUNNING just didn't exist at the time the check on
> IS_DAEMON was added.  Patch using DAEMON_RUNNING attached.

Using DAEMON_RUNNING would mean any errors while starting the server
will fail to show the explicit error message about that.  That's a
regression in my book.  So I hope we can find a better solution.